From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-client/luakit/
Date: Wed, 1 Apr 2020 14:38:00 +0000 (UTC) [thread overview]
Message-ID: <1585751853.e8d672db8ff6df16fc571bb725fceb3d37ad69b0.juippis@gentoo> (raw)
commit: e8d672db8ff6df16fc571bb725fceb3d37ad69b0
Author: Kristopher Keller <kristopher004 <AT> gmail <DOT> com>
AuthorDate: Sat Mar 28 22:26:23 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Apr 1 14:37:33 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8d672db
www-client/luakit: update live ebuild
Add prefix to emake so luakit can find modules and fix various repoman
warnings.
- Bump copyright
- Bump to EAPI 7
- Inherit xdg-utils
- Use https for repo uri
- Add PREFIX to emake in compile phase
- Edit Makefile to install uncompressed man page
- Add xdg functions for desktop file
Closes: https://bugs.gentoo.org/715184
Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Kristopher Keller <kristopher004 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/15157
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
www-client/luakit/luakit-9999.ebuild | 17 +++++++++++++----
1 file changed, 13 insertions(+), 4 deletions(-)
diff --git a/www-client/luakit/luakit-9999.ebuild b/www-client/luakit/luakit-9999.ebuild
index fb0f02b0108..3f617a46a60 100644
--- a/www-client/luakit/luakit-9999.ebuild
+++ b/www-client/luakit/luakit-9999.ebuild
@@ -1,16 +1,16 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-inherit toolchain-funcs
+inherit toolchain-funcs xdg-utils
DESCRIPTION="A fast, light, simple to use micro-browser using WebKit and Lua"
HOMEPAGE="https://luakit.github.io/luakit"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
- EGIT_REPO_URI="git://github.com/luakit/luakit.git"
+ EGIT_REPO_URI="https://github.com/luakit/luakit.git"
else
SRC_URI="https://github.com/luakit/luakit/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
@@ -43,6 +43,7 @@ src_compile() {
CC=$(tc-getCC) \
LUA_PKG_NAME=$(usex luajit 'luajit' 'lua') \
LUA_BIN_NAME=$(usex luajit 'luajit' 'lua') \
+ PREFIX="${EPREFIX}/usr" \
all
use doc && emake doc
@@ -55,6 +56,8 @@ src_test() {
}
src_install() {
+ sed -i 's/install -m644 luakit.1.gz/install -m644 luakit.1/g' Makefile || die
+
emake \
DESTDIR="${D}" \
PREFIX="${EPREFIX}/usr" \
@@ -66,3 +69,9 @@ src_install() {
use doc && dodoc -r doc/html
}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}
next reply other threads:[~2020-04-01 14:38 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-01 14:38 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-12 17:10 [gentoo-commits] repo/gentoo:master commit in: www-client/luakit/ Sam James
2023-03-22 3:12 Sam James
2023-03-17 0:07 Sam James
2023-03-16 23:51 Sam James
2023-03-16 23:51 Sam James
2021-12-27 17:37 Arthur Zamarin
2021-06-08 13:24 Joonas Niilola
2021-06-08 13:24 Joonas Niilola
2021-06-08 13:24 Joonas Niilola
2021-01-25 17:38 Marek Szuba
2021-01-17 21:25 Marek Szuba
2020-11-29 17:09 Marek Szuba
2020-09-24 13:49 Jeroen Roovers
2020-09-24 9:46 Jeroen Roovers
2019-05-23 18:30 Ben Kohler
2019-05-23 18:14 Ben Kohler
2018-07-07 12:15 Jonas Stein
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1585751853.e8d672db8ff6df16fc571bb725fceb3d37ad69b0.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox